### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-table/ecl-table.directive.ts`

### Implements

`OnDestroy` `DoCheck`

### Metadata

Selector | `[eclTableHead]`

### Index

###### Properties

- eclTableHeaders

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(differs: IterableDiffers)`

Parameters :

Name | Type | Optional
differs | `IterableDiffers` | No

### HostBindings

class
Type : `any`

### Properties

eclTableHeaders
Type : `QueryList<EclTableHeaderDirective>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""